Skip to main content
GET
/
users
/
favorites
Get User Favorites
curl --request GET \
  --url https://api-dev.monyfix.tech/users/favorites \
  --header 'Authorization: Bearer <token>'
{
  "stores": [
    {
      "id": 123,
      "name": "<string>",
      "logo_url": "<string>",
      "subscribers_count": 123,
      "rounds_count": 123
    }
  ],
  "rounds": [
    {
      "id": "<string>",
      "uniq_id": "<string>",
      "status": "<string>",
      "entry_fee": "<string>",
      "is_active": true,
      "members_count": 123,
      "max_members_count": 123,
      "is_private": true,
      "variant": "<string>",
      "owner": {
        "id": "<string>",
        "first_name": "<string>",
        "last_name": "<string>",
        "avatar_url": "<string>"
      },
      "item": {
        "id": "<string>",
        "name": "<string>",
        "platform_price": 123,
        "price": 123,
        "store": {
          "id": 123,
          "name": "<string>",
          "is_blogger": true,
          "seller_type": "<string>",
          "logo_url": "<string>"
        },
        "format_price": "<string>",
        "sku": "<string>",
        "start_time": "2023-11-07T05:31:56Z",
        "end_time": "2023-11-07T05:31:56Z",
        "duration": 123,
        "event_type": "<string>",
        "assets": [],
        "participants_limit": 123,
        "location": {
          "address": "<string>",
          "country": "<string>",
          "city": "<string>"
        }
      },
      "format_entry_fee": "<string>",
      "end_time": "2023-11-07T05:31:56Z",
      "participant_statuses": [
        {
          "user": {
            "id": "<string>",
            "first_name": "<string>",
            "last_name": "<string>",
            "avatar_url": "<string>"
          }
        }
      ],
      "in_favorites": false
    }
  ],
  "persons": [
    {
      "id": 123,
      "name": "<string>",
      "logo_url": "<string>",
      "subscribers_count": 123,
      "rounds_count": 123
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

object_type
string | null

Favorite type: round, store, person

Response

Successful Response

stores
UserFavoriteStoreResponse · object[] | null
rounds
UserFavoriteRoundResponse · object[] | null
persons
UserFavoritePersonResponse · object[] | null